ImageCapabilities (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt, class: ImageCapabilities
Keywords: java.awt.ImageCapabilities class

# Class ImageCapabilities

java.lang.Object
java.awt.ImageCapabilities

All Implemented Interfaces:
  `Cloneable`

public class ImageCapabilities extends Object implements Cloneable
Capabilities and properties of images.

Since:
  1.4

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageCapabilities(boolean accelerated)`
  Creates a new object for specifying image capabilities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `isAccelerated()`
  Returns `true` if the object whose capabilities are encapsulated in this `ImageCapabilities` can be or is accelerated.
  `boolean`
  `isTrueVolatile()`
  Returns `true` if the `VolatileImage` described by this `ImageCapabilities` can lose its surfaces.

  ### Methods declared in class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ImageCapabilities

    public ImageCapabilities(boolean accelerated)
    Creates a new object for specifying image capabilities.
    Parameters:
      `accelerated` - whether or not an accelerated image is desired

- ## Method Details

  - ### isAccelerated

    public boolean isAccelerated()
    Returns `true` if the object whose capabilities are encapsulated in this `ImageCapabilities` can be or is accelerated.
    Returns:
      whether or not an image can be, or is, accelerated. There are various platform-specific ways to accelerate an image, including pixmaps, VRAM, AGP. This is the general acceleration method (as opposed to residing in system memory).

  - ### isTrueVolatile

    public boolean isTrueVolatile()
    Returns `true` if the `VolatileImage` described by this `ImageCapabilities` can lose its surfaces.
    Returns:
      whether or not a volatile image is subject to losing its surfaces at the whim of the operating system.

  - ### clone

    public Object clone()
    Description copied from class: `Object`
    Creates and returns a copy of this object. The precise meaning of "copy" may depend on the class of the object. The general intent is that, for any object `x`, the expression:

    >     x.clone() != x

    will be true, and that the expression:

    >     x.clone().getClass() == x.getClass()

    will be `true`, but these are not absolute requirements. While it is typically the case that:

    >     x.clone().equals(x)

    will be `true`, this is not an absolute requirement.

    By convention, the returned object should be obtained by calling `super.clone`. If a class and all of its superclasses (except `Object`) obey this convention, it will be the case that `x.clone().getClass() == x.getClass()`.

    By convention, the object returned by this method should be independent of this object (which is being cloned). To achieve this independence, it may be necessary to modify one or more fields of the object returned by `super.clone` before returning it. Typically, this means copying any mutable objects that comprise the internal "deep structure" of the object being cloned and replacing the references to these objects with references to the copies. If a class contains only primitive fields or references to immutable objects, then it is usually the case that no fields in the object returned by `super.clone` need to be modified.

    Overrides:
      `clone` in class `Object`
    Returns:
      a copy of this ImageCapabilities object.
    See Also:
      - `Cloneable`